package com.srs.comprehensive.service;

import com.srs.comprehensive.domain.SrsCourseScore;
import com.srs.comprehensive.domain.SrsSportTest;
import com.srs.comprehensive.domain.SrsStuYearS;
import com.srs.comprehensive.domain.Vo.*;

import java.util.List;

/**
 * 【学生课程成绩】Service接口
 * 
 * @author srs
 * @date 2023-06-28
 */
public interface ISrsCourseScoreService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public SrsCourseScore selectSrsCourseScoreById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param srsCourseScore 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<SrsCourseScore> selectSrsCourseScoreList(SrsCourseScore srsCourseScore);

    /**
     * 新增【请填写功能名称】
     * 
     * @param srsCourseScore 【请填写功能名称】
     * @return 结果
     */
    public int insertSrsCourseScore(SrsCourseScore srsCourseScore);

    /**
     * 批量新增
     * @return
     */
    public int forInsertSrsCourseScore(List<SreCourseScoreStudent> sreCourseScoreStudent);

    /**
     * 修改【请填写功能名称】
     * 
     * @param srsCourseScore 【请填写功能名称】
     * @return 结果
     */
    public int updateSrsCourseScore(SrsCourseScore srsCourseScore);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteSrsCourseScoreByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteSrsCourseScoreById(Long id);
    /**
     * 科学文化素质连表查询
     */
    List<SrsCourseScoreStudentStuYear> selectSrsCourseScoreStudentStuYear(SrsCourseScore srsCourseScore);
    /**
     * 体能测试连表查询
     * @return 结果
     */
    List<SrsSportTestStudentStuYear> selectSrsSportTestStudentStuYear(SrsSportTest srsSportTest);
    /**
     * 课程学习连表查询
     */
    List<SrsStuYearS> selectStuYearStudent();

    List<SrsCeScoreClassDeptGradeMajorsStudentStuYear> gradeRanking(SrsCourseScore srsCourseScore);

    //中间表课程成绩添加
    List<String> addCourseScoreData();
}
